Skip to content

HPE Greenlake For Storage Fleet REST APIs (1.4.0)

HPE Greenlake For Storage Fleet REST APIs

Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/

certificates

The Certificate API provides endpoints for managing and configuring certificates.

Operations

controllers

The controllers API allows the management of controller fleet.

Operations

enclosures

The Enclosure API provides endpoints for managing and configuring enclosures.

Operations

encryption

The encryption API allows the actions on encryption.

Operations

jbofioms

The JBOF IOM API provides endpoints for managing and configuring JBOF IOMs.

Operations

migrations

The Migrations API allows the management of data migration from source storage systems.

Operations

object-notification-clients

The Object Notification Client API provides endpoints for managing and configuring object notification clients.

Operations

ports

The ports API allows the management of ports.

Operations

protection-policies

Protection policy APIs

Operations

protection-software-update-policies

Protection and Software update policy APIs

Operations

setup-blueprints

Blueprint Service API

Operations

Returns a list of blueprints associated with the customer

Request

Returns list of blueprints

Security
bearer
Query
offsetinteger

The number of items to skip before starting to collect the result set. Default is 20.

Example: offset=30
limitinteger(int32)<= 100

The numbers of items to return. Default is 0 which means no limit.

Default 0
Example: limit=10
filterstring

The filter query parameter is used to filter the set of resources returned in the response. The returned set of resources must match the criteria in the filter query parameter. A comparision compares a property name to a literal. The comparisons supported are the following:

  • "eq" : Is a property equal to value. Valid for number, boolean and string properties.
  • "gt" : Is a property greater than a value. Valid for number or string timestamp properties.
  • "lt" : Is a property less than a value. Valid for number or string timestamp properties.
  • "in" : Is a value in a property (that is an array of strings).
  • GET /storage-fleet/v1alpha1/setup-blueprints?filter=name eq 'blueprint_device1'
Example: filter=name eq 'blueprint_device1'
selectstring

A list of properties to include in the response.

Example: select=select=id,type
sortstring

Instruct the server to sort the resources returned with a collection-level GET. They provide sorting by one or more properties in ascending or descending order. Each item in the “sort” query parameter is a property name optionally followed by a direction indicator. The direction indicator may only be either “asc” (ascending) or “desc” (descending). If no direction indicator is specified, the default order is ascending. The first item in the “sort” query parameter defines the primary sort order, the second defines the secondary sort order, the third defines the tertiary sort order, etc.

Example: sort=?sort=createdAt desc
curl -i -X GET \
  https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Blueprint list

Bodyapplication/json
itemsArray of objects(Blueprint)required
items[].​idstring(uuid)read-onlyrequired

An identifier for the resource, usually a UUID.

items[].​typestringread-onlyrequired

The type of resource.

items[].​generationinteger(int64)read-onlyrequired

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

items[].​createdAtstring(date-time)read-onlyrequired

The time this blueprint was created

items[].​updatedAtstring(date-time)read-onlyrequired

The time this blueprint was last updated

items[].​resourceUristringread-onlyrequired

The self reference for this resource.

items[].​customerIdstringread-onlyrequired

The customer application identifier

items[].​schemaVersionstringread-onlyrequired

Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up

items[].​namestring

A system specified name for the resource.

items[].​descriptionstring

Description of the blueprint

items[].​deviceTypesArray of strings

The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.

Items Enum"ALLETRA_5000""ALLETRA_6000""ALLETRA_9000"
items[].​autoSupportobject
items[].​autoUpdateOsboolean

Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.

Default true
items[].​clusterobject
items[].​dataNetworkArray of objects

List of network interface settings

items[].​dateTimeobject
items[].​dnsConfigobject
items[].​isHpeEulaAcceptedboolean

If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

items[].​isVmwareEulaAcceptedboolean

If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

items[].​mgmtNetworkobject
items[].​proxyConfigobject
items[].​s3FrontEndConfigurationobject
items[].​serverSetupsobject
items[].​supportContactobject
items[].​systemIdentityobject
items[].​userCredsobject
items[].​vcenterobject
items[].​vdsManagementOnlyboolean

If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.

items[].​vdsSelectedboolean

If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

pageOffsetintegerread-onlyrequired

The offset query parameter specified in the request.

Default 0
pageLimitintegerread-onlyrequired

The limit query parameter specified in the request.

Default 20
totalintegerread-onlyrequired

Total number of blueprints in the collection

countintegerread-onlyrequired

Number of blueprints in this response

Response
application/json
{ "count": 0, "items": [ { … } ], "pageLimit": 20, "pageOffset": 0, "total": 0 }

Create a blueprint associated with the customer

Request

Create/Add a Specific Blueprint.

Security
bearer
Bodyapplication/jsonrequired
descriptionstring

Description of the blueprint

deviceTypesArray of strings

The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.

Items Enum"ALLETRA_5000""ALLETRA_6000""ALLETRA_9000"
namestring

User provided name for the blueprint

autoSupportobject
autoUpdateOsboolean

Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.

Default true
clusterobject
dataNetworkArray of objects

List of network interface settings

dateTimeobject
dnsConfigobject
isHpeEulaAcceptedboolean

If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

isVmwareEulaAcceptedboolean

If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

mgmtNetworkobject
proxyConfigobject
s3FrontEndConfigurationobject
serverSetupsobject
supportContactobject
systemIdentityobject
userCredsobject
vcenterobject
vdsManagementOnlyboolean

If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.

vdsSelectedboolean

If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

curl -i -X POST \
  https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

Successfully created Blueprint.

Headers
Locationstring

The uri of the created resource

Bodyapplication/json
idstring(uuid)read-onlyrequired

An identifier for the resource, usually a UUID.

typestringread-onlyrequired

The type of resource.

generationinteger(int64)read-onlyrequired

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

createdAtstring(date-time)read-onlyrequired

The time this blueprint was created

updatedAtstring(date-time)read-onlyrequired

The time this blueprint was last updated

resourceUristringread-onlyrequired

The self reference for this resource.

customerIdstringread-onlyrequired

The customer application identifier

schemaVersionstringread-onlyrequired

Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up

namestring

A system specified name for the resource.

descriptionstring

Description of the blueprint

deviceTypesArray of strings

The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.

Items Enum"ALLETRA_5000""ALLETRA_6000""ALLETRA_9000"
autoSupportobject
autoUpdateOsboolean

Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.

Default true
clusterobject
dataNetworkArray of objects

List of network interface settings

dateTimeobject
dnsConfigobject
isHpeEulaAcceptedboolean

If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

isVmwareEulaAcceptedboolean

If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

mgmtNetworkobject
proxyConfigobject
s3FrontEndConfigurationobject
serverSetupsobject
supportContactobject
systemIdentityobject
userCredsobject
vcenterobject
vdsManagementOnlyboolean

If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.

vdsSelectedboolean

If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

Response
application/json
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "schemaVersion": "string", "description": "string", "deviceTypes": [ "ALLETRA_5000" ], "autoSupport": { "fromAddress": "user@example.com", "infosightToken": "string", "recipientAddresses": [ … ], "smtpCredentialId": "string", "smtpEncryption": "NONE", "smtpPort": 0, "smtpServer": "smtp@acmeco.com", "smtpUsername": "string" }, "autoUpdateOs": true, "cluster": { "clusterName": "LABCLUSTER", "datacenterName": "AcmeCoDataCenter" }, "dataNetwork": [ { … } ], "dateTime": { "country": "Unites States", "ntpServers": [ … ], "timeZone": "America/Denver" }, "dnsConfig": { "dnsServers": [ … ], "domainName": "acmeco.com" }, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { "gateway": "192.168.0.1", "ipAddress": "192.168.0.1", "ipv6Address": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6Gateway": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6PrefixLen": "64", "mtu": 0, "secondaryInterface": "string", "secondaryIp": "192.168.0.1", "secondaryIpV6": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "subnetMask": "192.168.0.1", "supportIps": [ … ], "supportIpsV6": [ … ], "vlanId": 0 }, "proxyConfig": { "credentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "domain": "domain.com", "port": 8080, "server": "proxy.acmeco.com", "type": "HTTP" }, "s3FrontEndConfiguration": { "s3DataNetworkConfiguration": { … }, "s3DataNetworkDnsSubdomains": [ … ] }, "serverSetups": { "esxRootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "iloAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "serverNetworks": [ … ] }, "supportContact": { "company": "Acme Co", "country": "United States", "firstName": "Jane", "language": "en", "lastName": "Doe", "phoneNumber": "+1 916 123 456", "primaryEmail": "jane.doe@acmeco.com" }, "systemIdentity": { "domainName": "home-depot-lab.com", "storageSystemName": "sjc-array2065" }, "userCreds": { "adminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vcenter": { "deployVcenter": true, "hostname": "test1-vc.lab.acmeco.com", "ipAddress": "192.168.0.1", "rootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "ssoAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vdsManagementOnly": true, "vdsSelected": true }

Delete a specific blueprint

Request

Delete a specific Blueprint

Security
bearer
Path
idstring(uuid)required

The UUID of the object

Example: c1a0eb78-41a0-4151-93b2-f057ffeca3f3
curl -i -X DELETE \
  https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Removed Blueprint Successfully.

Response
No content

Returns a specific blueprint associated with the customer

Request

Get a Specific Blueprint

Security
bearer
Path
idstring(uuid)required

The UUID of the object

Example: c1a0eb78-41a0-4151-93b2-f057ffeca3f3
Query
selectstring

A list of properties to include in the response.

Example: select=select=id,type
curl -i -X GET \
  https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Single blueprint

Bodyapplication/json
idstring(uuid)read-onlyrequired

An identifier for the resource, usually a UUID.

typestringread-onlyrequired

The type of resource.

generationinteger(int64)read-onlyrequired

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

createdAtstring(date-time)read-onlyrequired

The time this blueprint was created

updatedAtstring(date-time)read-onlyrequired

The time this blueprint was last updated

resourceUristringread-onlyrequired

The self reference for this resource.

customerIdstringread-onlyrequired

The customer application identifier

schemaVersionstringread-onlyrequired

Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up

namestring

A system specified name for the resource.

descriptionstring

Description of the blueprint

deviceTypesArray of strings

The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.

Items Enum"ALLETRA_5000""ALLETRA_6000""ALLETRA_9000"
autoSupportobject
autoUpdateOsboolean

Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.

Default true
clusterobject
dataNetworkArray of objects

List of network interface settings

dateTimeobject
dnsConfigobject
isHpeEulaAcceptedboolean

If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

isVmwareEulaAcceptedboolean

If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

mgmtNetworkobject
proxyConfigobject
s3FrontEndConfigurationobject
serverSetupsobject
supportContactobject
systemIdentityobject
userCredsobject
vcenterobject
vdsManagementOnlyboolean

If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.

vdsSelectedboolean

If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

Response
application/json
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "schemaVersion": "string", "description": "string", "deviceTypes": [ "ALLETRA_5000" ], "autoSupport": { "fromAddress": "user@example.com", "infosightToken": "string", "recipientAddresses": [ … ], "smtpCredentialId": "string", "smtpEncryption": "NONE", "smtpPort": 0, "smtpServer": "smtp@acmeco.com", "smtpUsername": "string" }, "autoUpdateOs": true, "cluster": { "clusterName": "LABCLUSTER", "datacenterName": "AcmeCoDataCenter" }, "dataNetwork": [ { … } ], "dateTime": { "country": "Unites States", "ntpServers": [ … ], "timeZone": "America/Denver" }, "dnsConfig": { "dnsServers": [ … ], "domainName": "acmeco.com" }, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { "gateway": "192.168.0.1", "ipAddress": "192.168.0.1", "ipv6Address": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6Gateway": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6PrefixLen": "64", "mtu": 0, "secondaryInterface": "string", "secondaryIp": "192.168.0.1", "secondaryIpV6": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "subnetMask": "192.168.0.1", "supportIps": [ … ], "supportIpsV6": [ … ], "vlanId": 0 }, "proxyConfig": { "credentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "domain": "domain.com", "port": 8080, "server": "proxy.acmeco.com", "type": "HTTP" }, "s3FrontEndConfiguration": { "s3DataNetworkConfiguration": { … }, "s3DataNetworkDnsSubdomains": [ … ] }, "serverSetups": { "esxRootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "iloAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "serverNetworks": [ … ] }, "supportContact": { "company": "Acme Co", "country": "United States", "firstName": "Jane", "language": "en", "lastName": "Doe", "phoneNumber": "+1 916 123 456", "primaryEmail": "jane.doe@acmeco.com" }, "systemIdentity": { "domainName": "home-depot-lab.com", "storageSystemName": "sjc-array2065" }, "userCreds": { "adminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vcenter": { "deployVcenter": true, "hostname": "test1-vc.lab.acmeco.com", "ipAddress": "192.168.0.1", "rootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "ssoAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vdsManagementOnly": true, "vdsSelected": true }

Update a specific blueprint

Request

Update a Specific Blueprint

Security
bearer
Path
idstring(uuid)required

The UUID of the object

Example: c1a0eb78-41a0-4151-93b2-f057ffeca3f3
Bodyapplication/merge-patch+jsonrequired
descriptionstring

Description of the blueprint

deviceTypesArray of strings

The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.

Items Enum"ALLETRA_5000""ALLETRA_6000""ALLETRA_9000"
namestring

User provided name for the blueprint

autoSupportobject
autoUpdateOsboolean

Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.

Default true
clusterobject
dataNetworkArray of objects

List of network interface settings

dateTimeobject
dnsConfigobject
isHpeEulaAcceptedboolean

If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

isVmwareEulaAcceptedboolean

If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

mgmtNetworkobject
proxyConfigobject
s3FrontEndConfigurationobject
serverSetupsobject
supportContactobject
systemIdentityobject
userCredsobject
vcenterobject
vdsManagementOnlyboolean

If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.

vdsSelectedboolean

If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

curl -i -X PATCH \
  https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-blueprints/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/merge-patch+json' \
  -d '{}'

Responses

Updated blueprint

Bodyapplication/json
idstring(uuid)read-onlyrequired

An identifier for the resource, usually a UUID.

typestringread-onlyrequired

The type of resource.

generationinteger(int64)read-onlyrequired

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

createdAtstring(date-time)read-onlyrequired

The time this blueprint was created

updatedAtstring(date-time)read-onlyrequired

The time this blueprint was last updated

resourceUristringread-onlyrequired

The self reference for this resource.

customerIdstringread-onlyrequired

The customer application identifier

schemaVersionstringread-onlyrequired

Internal attribute that is not be exposed to the user. This is used to maintain backward compatibility. When the blueprint schema changes, the schema version will be bumped up

namestring

A system specified name for the resource.

descriptionstring

Description of the blueprint

deviceTypesArray of strings

The types of device that the blueprint will be targeted for. Only pages applicable to the selections will be shown on the Setup Service UI Blueprint wizard.

Items Enum"ALLETRA_5000""ALLETRA_6000""ALLETRA_9000"
autoSupportobject
autoUpdateOsboolean

Auto-update OS based on the current OS version. Applies only to Alletra Storage MP B10000 and PC3000 with HPE Alletra Storage MP B10000 systems only.

Default true
clusterobject
dataNetworkArray of objects

List of network interface settings

dateTimeobject
dnsConfigobject
isHpeEulaAcceptedboolean

If true, user has accepted HPE EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

isVmwareEulaAcceptedboolean

If true, user has accepted VMWare EULA. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

mgmtNetworkobject
proxyConfigobject
s3FrontEndConfigurationobject
serverSetupsobject
supportContactobject
systemIdentityobject
userCredsobject
vcenterobject
vdsManagementOnlyboolean

If true, create management port groups in VDS while keeping data port groups in VSS. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems and PC3000 with HPE Alletra Storage MP B10000 systems only.

vdsSelectedboolean

If true, vSphere Distributed Switch (VDS) will be created on the vCenter server and applied to all ESXi host(s). VDS needs Enterprise Plus License. If false, vSphere Standard Switch (VSS) will be created on ESXi host. Applies to PC3000 with HPE Alletra 5000 and HPE Alletra 6000 systems only.

Response
application/json
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "schemaVersion": "string", "description": "string", "deviceTypes": [ "ALLETRA_5000" ], "autoSupport": { "fromAddress": "user@example.com", "infosightToken": "string", "recipientAddresses": [ … ], "smtpCredentialId": "string", "smtpEncryption": "NONE", "smtpPort": 0, "smtpServer": "smtp@acmeco.com", "smtpUsername": "string" }, "autoUpdateOs": true, "cluster": { "clusterName": "LABCLUSTER", "datacenterName": "AcmeCoDataCenter" }, "dataNetwork": [ { … } ], "dateTime": { "country": "Unites States", "ntpServers": [ … ], "timeZone": "America/Denver" }, "dnsConfig": { "dnsServers": [ … ], "domainName": "acmeco.com" }, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { "gateway": "192.168.0.1", "ipAddress": "192.168.0.1", "ipv6Address": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6Gateway": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "ipv6PrefixLen": "64", "mtu": 0, "secondaryInterface": "string", "secondaryIp": "192.168.0.1", "secondaryIpV6": "2001:0db8:85a3:0000:0000:8a2e:0370:7334", "subnetMask": "192.168.0.1", "supportIps": [ … ], "supportIpsV6": [ … ], "vlanId": 0 }, "proxyConfig": { "credentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "domain": "domain.com", "port": 8080, "server": "proxy.acmeco.com", "type": "HTTP" }, "s3FrontEndConfiguration": { "s3DataNetworkConfiguration": { … }, "s3DataNetworkDnsSubdomains": [ … ] }, "serverSetups": { "esxRootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "iloAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "serverNetworks": [ … ] }, "supportContact": { "company": "Acme Co", "country": "United States", "firstName": "Jane", "language": "en", "lastName": "Doe", "phoneNumber": "+1 916 123 456", "primaryEmail": "jane.doe@acmeco.com" }, "systemIdentity": { "domainName": "home-depot-lab.com", "storageSystemName": "sjc-array2065" }, "userCreds": { "adminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vcenter": { "deployVcenter": true, "hostname": "test1-vc.lab.acmeco.com", "ipAddress": "192.168.0.1", "rootCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d", "ssoAdminCredentialId": "78f30b2a-d6ee-11ec-9a0e-01004a28369d" }, "vdsManagementOnly": true, "vdsSelected": true }

setup-devices

Setup Orchestrator API

Operations

shelves

The shelves API allows the management of shelves.

Operations

storage-nodes

The Storage Node API provides endpoints for managing and configuring storage nodes.

Operations

storage-systems

The storage-systems API allows management of storage devices.

Operations

switches

The Switch API provides endpoints for managing and configuring switches.

Operations

system-settings

The system settings API allows the monitoring of system settings for the device.

Operations

filesystems

Operations

vvolscs

Operations